From 1b376b22764c9cb26dda3f06411835201c84ce58 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Tue, 16 Jul 2019 00:26:24 +0200
Subject: [PATCH 39/42] New package: freecell-solver-5.10.0

---
 common/shlibs                    |  1 +
 srcpkgs/freecell-solver/template | 35 ++++++++++++++++++++++++++++++++
 srcpkgs/libfreecell-solver       |  1 +
 srcpkgs/libfreecell-solver-devel |  1 +
 4 files changed, 38 insertions(+)
 create mode 100644 srcpkgs/freecell-solver/template
 create mode 120000 srcpkgs/libfreecell-solver
 create mode 120000 srcpkgs/libfreecell-solver-devel

diff --git a/common/shlibs b/common/shlibs
index 5525b1f5d3d..7fa2e9220bf 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3485,6 +3485,7 @@ libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
 libmhash.so.2 mhash-0.9.9.9_1
 librlottie.so.0 rlottie-0.0.20160709_1
 libfstrm.so.0 fstrm-0.5.0_1
+libfreecell-solver.so.0 libfreecell-solver-5.10.0_1
 libknot.so.9 libknot-2.8.2_1
 libdnssec.so.7 libknot-2.8.2_1
 libzscanner.so.3 libknot-2.8.2_1
diff --git a/srcpkgs/freecell-solver/template b/srcpkgs/freecell-solver/template
new file mode 100644
index 00000000000..57a6df76b18
--- /dev/null
+++ b/srcpkgs/freecell-solver/template
@@ -0,0 +1,35 @@
+# Template file for 'freecell-solver'
+pkgname=freecell-solver
+version=5.10.0
+revision=1
+build_style=cmake
+hostmakedepends="perl-Template-Toolkit gperf perl-Path-Tiny
+ pysolfc python3-pysol_cards python3-random2 python3-six"
+configure_args="-DFCS_WITH_TEST_SUITE=OFF"
+short_desc="Automatically solves layouts of Freecell and similar variants of solitaire"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://fc-solve.shlomifish.org/"
+distfiles="https://fc-solve.shlomifish.org/downloads/fc-solve/freecell-solver-${version}.tar.xz"
+checksum=cc8671d315e69f6b16fc52ee9fe7515671dcc286ce871b2c13347e1afcfbdd39
+
+post_install() {
+	vlicense COPYING.txt
+}
+
+libfreecell-solver_package() {
+	pkg_install() {
+		vmove "usr/lib/*.so*"
+	}
+}
+
+libfreecell-solver-devel_package() {
+	depends="libfreecell-solver>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.a"
+		vmove "usr/lib/*.so"
+	}
+}
diff --git a/srcpkgs/libfreecell-solver b/srcpkgs/libfreecell-solver
new file mode 120000
index 00000000000..f48720eb892
--- /dev/null
+++ b/srcpkgs/libfreecell-solver
@@ -0,0 +1 @@
+freecell-solver
\ No newline at end of file
diff --git a/srcpkgs/libfreecell-solver-devel b/srcpkgs/libfreecell-solver-devel
new file mode 120000
index 00000000000..f48720eb892
--- /dev/null
+++ b/srcpkgs/libfreecell-solver-devel
@@ -0,0 +1 @@
+freecell-solver
\ No newline at end of file

